2008/02/25

[軟體] Amsn (中文問題﹑ tls 問題修正)

這篇 作者應該是叫小菜吧?... 好可愛的名字。
這篇主要是寫來記錄 amsn 在中文問題上面的處理,其實可以直接下 fixamsn.sh 來處理,就好。

不過一來 fixamsn.sh 裡面的 amsn 不是最新版,所以一安裝完就開始哀說要更新新版,二來,在我的 gusty 上面裝好了之後, tls 不會自動安裝好,手動也還是有問題。所以索性開 fixamsn.sh 出來看,在 amsn 的版本上面是用 amsn-0.97RC1.tar.bz2 ,這行如果直接換掉,後面 tls 也不會有問題,版本也不用重更新了。
diff -u fixamsn.sh fixamsn.orig.sh
--- fixamsn.sh 2008-02-25 11:15:18.000000000 +0800
+++ fixamsn.orig.sh 2008-02-25 11:12:47.000000000 +0800
@@ -160,10 +160,10 @@
wget -c $SOURCEFORGE/tcl/tk8.5a6-src.tar.gz || error_exit "Could not download Tk source code."
tar -xsf tk8.5a6-src.tar.gz
mv tk8.5a6 tk
- #amsn 0.96
- wget -c $SOURCEFORGE/amsn/amsn-0.97RC1.tar.bz2 || error_exit "Could not download aMSN source code."
- tar -xsf amsn-0.97RC1.tar.bz2
- mv amsn-0.97RC1 amsn
+ #amsn svn snap
+ wget -c http://www.amsn-project.net/amsn_dev.tar.gz || error_exit "Could not download aMSN source code."
+ tar zxvf amsn_dev.tar.gz
+ mv msn amsn

fi

#compile tcl (into /usr/local, to leave tcl 8.4 untouched)


另外值得一提的是,這個 fixamsn.sh 的作者是 Vuen ,原文發表應該是在英文版的 ubuntu 論壇上面。

這個需要註冊才能下載的 script 我上傳到我的 googlepage 底下:
fixamsn.sh

ㄟ... 一樣有 amsn 版本的問題,所以我順手上傳了我的版本比較乾脆,省的 patch 。
張貼留言

[Windows] 好用的小工具: AutoHotKey

做為一個 Linux 的愛好者,轉移到 Windows 上面的時候,往往難以適應 Windows 調整快捷鍵的方式,所以 google 了一下,結果發現很多人愛用的 "Auto Hot key"。不多說,就來給一個範例說明如何使用 Auto Hot key 來...